%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_LOGEXPSUM_RegLikelihood
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_LOGEXPSUM_RegLikelihood.zip'
%Run program 'problem_LOGEXPSUM_RegLikelihood.m'
%=======================================================================

clc;
clear;
addpath('..');
%Load data:
load('.\problem_LOGEXPSUM_RegLikelihood_data.mat')
%Define input arguments:
risk={-1,'logexp_sum',1,'polynom_abs'};
H={H1,H2};
c={c1,c2};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(risk, [], H, c, [], [], [], [], [], [], lb, ub);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('logexp_sum = %g', output.frval(1)));
disp(sprintf('polynom_abs = %g', output.frval(2)));
%Display optimal point:
disp('optimal point = ');
disp(xout);
